https://www.docusign.com/v2.1/accounts/{accountId}/connectCreates a custom Connect configuration for the specified account. <ds-inlinemessage> To use this method, you must be an account administrator and Connect must be enabled on your account. </ds-inlinemessage> Connect is a webhook service that provides updates when certain events occur in your eSignature workflows. You can use this endpoint to create: * Account-level Connect configurations to listen for events related to any envelopes sent by one or more account users * Recipient Connect configurations that are triggered when one or more of your account users receive an envelope To set an account-level configuration, set `configurationType` to **custom.** To set a Recipient Connect configuration, set `configurationType` to **customrecipient.** If you want to listen for events on only one envelope, use the eventNotification object instead. ## Data models There are four possible data models for your Connect configuration. Consider: * Do you want the data in JSON or XML? * Do you want events sent individually (SIM) or in aggregate? Docusign recommends using the JSON SIM event model. <ds-column> <ds-step open="false" hideIcon="true"> <h3>JSON SIM (Recommended)</h3> <div> Set `deliveryMode` to **SIM** and `eventData.version` to **restv2.1.** Use the `events` property to set the event statuses that will trigger your configuration. The following sample request shows how to create an envelope-level configuration using JSON SIM: ``` { "configurationType": "custom", "urlToPublishTo": "YOUR-WEBHOOK-URL", "allUsers": "true", "name": "jsonSimTest", "deliveryMode": "SIM", "allowEnvelopePublish": "true", "enableLog": "true", "eventData": { "version": "restv2.1" }, "events": [ "envelope-sent", "envelope-delivered", "envelope-completed" ] } ``` The following sample request shows how to create a Recipient Connect configuration using JSON SIM: ``` { "configurationType": "customrecipient", "urlToPublishTo": "YOUR-WEBHOOK-URL", "allUsers": "true", "name": "jsonSimTest", "deliveryMode": "SIM", "allowEnvelopePublish": "true", "enableLog": "true", "eventData": { "version": "restv2.1" }, "events": [ "recipient-sent", "recipient-completed" ] } ``` </div></ds-step> <ds-step open="false" hideIcon="true"> <h3>JSON Aggregate</h3> <div> Set `deliveryMode` to **aggregate** and `eventData.version` to **restv2.1.** Use the `envelopeEvents` or `recipientEvents` property to set the event statuses that will trigger your configuration. </div></ds-step> <ds-step open="false" hideIcon="true"> <h3>XML Aggregate</h3> <div> Set `deliveryMode` to **aggregate.** Use the `envelopeEvents` or `recipientEvents` property to set the event statuses that will trigger your configuration. </div></ds-step> <ds-step open="false" hideIcon="true"> <h3>XML SIM (Legacy apps only)</h3> <div> **Note:** This model is deprecated. Set `deliveryMode` to **SIM.** Use the `envelopeEvents` or `recipientEvents` property to set the event statuses that will trigger your configuration. </div></ds-step> </ds-column> ## Troubleshooting If your configuration is not working, check the following. * Connect must be enabled for your account to use this function. * If you are using `envelopeEvents` or `recipientEvents`, make sure that the event values are sentence case, not lowercase. * Make sure you have either set `allUsers` to **true** or set `userIds` to a non-empty array of IDs. * By default, this endpoint creates a disabled configuration. To enable the configuration immediately, set the body parameter `allowEnvelopePublish` to **true.** You can also enable the configuration in the UI. * To check if events are being emitted, set `enableLog` to **true** to view event logs in the Connect console. ## Related topics * For more information about Connect, see the Docusign Connect guide. * Use the MyAPICalls sample app to see an example of this endpoint using the JSON SIM model.
The external account number (int) or account ID GUID.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/connect' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://www.docusign.com/v2.1/accounts/{accountId}/connectCreates a custom Connect configuration for the specified account. <ds-inlinemessage> To use this method, you must be an account administrator and Connect must be enabled on your account. </ds-inlinemessage> Connect is a webhook service that provides updates when certain events occur in your eSignature workflows. You can use this endpoint to create: * Account-level Connect configurations to listen for events related to any envelopes sent by one or more account users * Recipient Connect configurations that are triggered when one or more of your account users receive an envelope To set an account-level configuration, set `configurationType` to **custom.** To set a Recipient Connect configuration, set `configurationType` to **customrecipient.** If you want to listen for events on only one envelope, use the eventNotification object instead. ## Data models There are four possible data models for your Connect configuration. Consider: * Do you want the data in JSON or XML? * Do you want events sent individually (SIM) or in aggregate? Docusign recommends using the JSON SIM event model. <ds-column> <ds-step open="false" hideIcon="true"> <h3>JSON SIM (Recommended)</h3> <div> Set `deliveryMode` to **SIM** and `eventData.version` to **restv2.1.** Use the `events` property to set the event statuses that will trigger your configuration. The following sample request shows how to create an envelope-level configuration using JSON SIM: ``` { "configurationType": "custom", "urlToPublishTo": "YOUR-WEBHOOK-URL", "allUsers": "true", "name": "jsonSimTest", "deliveryMode": "SIM", "allowEnvelopePublish": "true", "enableLog": "true", "eventData": { "version": "restv2.1" }, "events": [ "envelope-sent", "envelope-delivered", "envelope-completed" ] } ``` The following sample request shows how to create a Recipient Connect configuration using JSON SIM: ``` { "configurationType": "customrecipient", "urlToPublishTo": "YOUR-WEBHOOK-URL", "allUsers": "true", "name": "jsonSimTest", "deliveryMode": "SIM", "allowEnvelopePublish": "true", "enableLog": "true", "eventData": { "version": "restv2.1" }, "events": [ "recipient-sent", "recipient-completed" ] } ``` </div></ds-step> <ds-step open="false" hideIcon="true"> <h3>JSON Aggregate</h3> <div> Set `deliveryMode` to **aggregate** and `eventData.version` to **restv2.1.** Use the `envelopeEvents` or `recipientEvents` property to set the event statuses that will trigger your configuration. </div></ds-step> <ds-step open="false" hideIcon="true"> <h3>XML Aggregate</h3> <div> Set `deliveryMode` to **aggregate.** Use the `envelopeEvents` or `recipientEvents` property to set the event statuses that will trigger your configuration. </div></ds-step> <ds-step open="false" hideIcon="true"> <h3>XML SIM (Legacy apps only)</h3> <div> **Note:** This model is deprecated. Set `deliveryMode` to **SIM.** Use the `envelopeEvents` or `recipientEvents` property to set the event statuses that will trigger your configuration. </div></ds-step> </ds-column> ## Troubleshooting If your configuration is not working, check the following. * Connect must be enabled for your account to use this function. * If you are using `envelopeEvents` or `recipientEvents`, make sure that the event values are sentence case, not lowercase. * Make sure you have either set `allUsers` to **true** or set `userIds` to a non-empty array of IDs. * By default, this endpoint creates a disabled configuration. To enable the configuration immediately, set the body parameter `allowEnvelopePublish` to **true.** You can also enable the configuration in the UI. * To check if events are being emitted, set `enableLog` to **true** to view event logs in the Connect console. ## Related topics * For more information about Connect, see the Docusign Connect guide. * Use the MyAPICalls sample app to see an example of this endpoint using the JSON SIM model.
The external account number (int) or account ID GUID.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/connect' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}